@mixin font-face($font-family, $file-path, $weight: normal, $style: normal) {
  @font-face {
    font-family: $font-family;
    font-weight: $weight;
    font-style: $style;
    src: local(""), url("#{$file-path}.woff2") format("woff2"),
      url("#{$file-path}.woff") format("woff");
  }
}

@mixin laptop_l {
  @media screen and (max-width: 1500px) {
    @content;
  }
}

@mixin laptop {
  @media screen and (max-width: 1100px) {
    @content;
  }
}

@mixin tablet {
  @media screen and (max-width: 769px) {
    @content;
  }
}

@mixin phone {
  @media screen and (max-width: 430px) {
    @content;
  }
}

@mixin phone_s {
  @media screen and (max-width: 396px) {
    @content;
  }
}

@mixin phone_xs {
  @media screen and (max-width: 376px) {
    @content;
  }
}

// Common inputs styles for input and select
@mixin input-base {
  width: 100%;
  padding: 14px 0 2px;
  height: 56px;

  font-weight: 400;
  font-size: 17px;
  color: rgb(var(--borders));
  line-height: 1;
  background-color: transparent;
  border: none;
  border-bottom: var(--border-style);
  border-radius: 0;
  transition: border-color 0.25s, padding 0.25s, background-color 0.25s;
}

@mixin input-text {
  position: absolute;
  top: 100%;
  font-size: 12px;
  line-height: 1.33;
  margin-top: 4px;
}

@mixin outline {
  box-shadow: 0 0 0 3px rgb(var(--accent-color) 50%);
  outline: none;
}
